# sc::SCMatrixBlockIter Class Reference

The SCMatrixBlockIter class is used to described iterates that loop through the elements in a block. More...

`#include <blkiter.h>`

Inherited by sc::SCMatrixDiagBlockIter, sc::SCMatrixDiagSubBlockIter, sc::SCMatrixLTriBlockIter, sc::SCMatrixLTriSubBlockIter, sc::SCMatrixRectBlockIter, sc::SCMatrixRectSubBlockIter, sc::SCVectorSimpleBlockIter, and sc::SCVectorSimpleSubBlockIter.

List of all members.

## Public Member Functions

virtual int | i ()=0
| Returns the row index.
virtual int | j ()=0
| Returns the column index.
virtual void | set (double val)=0
| Set the current element to val.
virtual void | accum (double val)
| Add val to the current element.
virtual double | get ()=0
| Return the value of the current element.
virtual | operator int ()=0
| Return nonzero if there are more elements.
virtual void | operator++ ()=0
| Move to the next element.
void | operator++ (int)
virtual void | reset ()=0
| Start the iteration over.

## Detailed Description

The SCMatrixBlockIter class is used to described iterates that loop through the elements in a block.

The documentation for this class was generated from the following file:

- blkiter.h